function init()
	reset()
end

function reset()
	t = 0
	fade1 = 0
	fade2 = 0
	fade3 = 0
	fade4 = 1

	SetValue("colorfade", 0.18, "linear", 1)
end

function draw()
	t = t + GetTimeStep()
	if t > 67 then
		reset()
	end

	
	UiColor(colorfade, colorfade, colorfade)
	UiImage("MOD/script/movie/darkmoon-0.jpg")

	if t > 2 then
		UiPush()
			SetValue("fade1", 1, "linear", 0.5)
			UiImage("MOD/script/movie/darkmoon-1.jpg")
		UiPop()
	end

	if t > 2.5 then
		SetValue("colorfade", 1, "linear", 0.5)
		UiColor(colorfade, colorfade, colorfade)
		UiImage("MOD/script/movie/darkmoon-1.jpg")
	end

	if t > 3 then
		UiImage("MOD/script/movie/darkmoon-3.jpg")
	end
	if t > 3.7 then
		UiImage("MOD/script/movie/darkmoon-4.jpg")
	end
	if t > 4 and t < 8 then
		UiPush()
			SetValue("fade3", 1, "linear", 1)
			UiColor(1, 1, 1, fade3)
			UiImage("MOD/script/movie/darkmoon-5.jpg")
		UiPop()
	end
	if t > 8 then
		UiPush()
			SetValue("fade3", 0, "linear", 0.5)
			UiColor(1, 1, 1, fade3)
			UiImage("MOD/script/movie/darkmoon-5.jpg")
		UiPop()
	end
	if t > 10.5 then 
		if t > 1 then 
			SetValue("colorfade", 0.18, "linear", 1)
			UiColor(colorfade, colorfade, colorfade)
			UiImage("MOD/script/movie/darkmoon-0.jpg")
		end
	end

	UiTranslate(UiCenter(), 1000-t*40)
	
	UiColor(1,1,1)
	UiAlign("center")

	UiFont("bold.ttf", 48)
	UiText("Óéðñã¿ ïùñã")
	UiTranslate(0, 30)
	UiFont("regular.ttf", 24)
	UiText("Ðôòìëåòèõöåò Tuxedo Labs Moving Pictures")
	UiTranslate(0, 100)
	

	UiFont("regular.ttf", 24)
	UiText("Îã òõñòåé åºðºþïéññòí ìõöòôìì")
	UiTranslate(0, 100)

	
	UiFont("bold.ttf", 36)
	UiText("Lead cast")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText("Stefan Jonsson - Birger Moonrunner",true)
	UiText("Kabi Jedhagen - Peter Moonrunner",true)
	UiTranslate(0, 40)
	UiText("Dennis Gustafsson - Moon major Karl Erik",true)
	UiText("Deniz Misirli - Space captain André",true)
	UiText("Ludde Andersson - Space officer MkII",true)
	UiText("Niklas Mäckle - Space citizen Knos",true)
	UiTranslate(0, 40)
	UiText("Douglas Holmquist - Space criminal Carl Johan",true)
	UiText("William Bergh - Villian Bergh ",true)
	UiText("Andreas Baw - Space thug #1",true)
	UiText("Kristian Durán - Space thug #2",true)
	UiText("Mathias Schlegel - Space thug #3",true)
	UiTranslate(0, 100)
	
	UiFont("bold.ttf", 36)
	UiText("Supporting cast")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText("Larry Walsh - Pickle farmer Scotty",true)
	UiText("Emil Bengtsson - Ornitological philosopher Paul",true)
	UiText("Marcus Dawson - Eric the space illusionist",true)
	UiText("John Kearney - Token Bri'ish chap Willy",true)
	UiText("Olle Lundahl - Riv the forklift certified ",true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("Special thanks")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText("BinFloo",true)
	UiText("Branjer130",true)
	UiText("Daniel W",true)
	UiText("Desk Squid",true)
	UiText("Dima",true)
	UiText("Exeros",true)
	UiText("funlennysub",true)
	UiText("KillzBob",true)
	UiText("Poppy Tim",true)
	UiText("rabniff",true)
	UiText("Treadmill",true)
	UiText("WeiChei",true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 48)
	UiText("Â îìñòöéãöôãû 21 ãóôéï¿")

	UiTranslate(0, 200)
	UiFont("regular.ttf", 18)
	UiText("Îì òèìñ åòîõéï¼ ñé óòõöôãèãï óôì õòëèãñìì ½öòçò úìï¼ðã.")
end

